javax.persistence

## Annotation Type Cacheable

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface Cacheable

Specifies whether an entity should be cached if caching is enabled when the value of the `persistence.xml` caching element is `ENABLE_SELECTIVE` or `DISABLE_SELECTIVE`. The value of the `Cacheable` annotation is inherited by subclasses; it can be overridden by specifying `Cacheable` on a subclass.

`Cacheable(false)` means that the entity and its state must not be cached by the provider.

Since:
  Java Persistence 2.0

### Optional Element Summary

Optional Elements
`boolean` `value` (Optional) Whether or not the entity should be cached.

### Element Detail

#### value

    public abstract boolean value

(Optional) Whether or not the entity should be cached.

Default:
  true